## gmtkbabel 0.1

=== Makefile ===
INSTALL = install
RM = rm
PREFIX = /usr
VERSION = 0.1

SCRIPTS = \
    src/download.sh \
    src/erase.sh \
    src/gmtkbabel \
    src/set_format.sh \
    src/set_frequency.sh

all: build

build: update-po
	for l in $(shell cat po/LINGUAS); do \
	    msgfmt po/$$l.po -o po/$$l.mo; \
	done
	gzip -9c gmtkbabel.1 > gmtkbabel.1.gz

update-po: $(SCRIPTS)
	xgettext --language=shell --from-code=utf-8 \
	    --copyright-holder="David Paleino <d.paleino@gmail.com>" \
	    --package-name="gmtkbabel" \
	    --package-version="$(VERSION)" \
	    --msgid-bugs-address="d.paleino@gmail.com" \
	    $(SCRIPTS) -o po/gmtkbabel.pot
	for l in $(shell cat po/LINGUAS); do \
	    msgmerge --update --backup=none po/$$l.po po/gmtkbabel.pot; \
	done

installdirs:
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/gmtkbabel/
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -d $(DESTDIR)/etc
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1/

	for l in $(shell cat po/LINGUAS); do \
	    $(INSTALL) -d $(DESTDIR)$(PREFIX)/share/locale/$$l/LC_MESSAGES/; \
	done

install: build installdirs
	$(INSTALL) src/gmtkbabel $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 644 src/*.sh $(DESTDIR)$(PREFIX)/share/gmtkbabel/
	$(INSTALL) -m 644 gmtkbabel.conf $(DESTDIR)/etc/

	for l in $(shell cat po/LINGUAS); do \
	    $(INSTALL) -m 644 po/$$l.mo \
	        $(DESTDIR)$(PREFIX)/share/locale/$$l/LC_MESSAGES/gmtkbabel.mo; \
	done

	$(INSTALL) -m 644 gmtkbabel.1.gz $(DESTDIR)$(PREFIX)/share/man/man1/

uninstall:
	$(RM) -rf $(DESTDIR)$(PREFIX)/share/gmtkbabel/
	$(RM) -rf $(DESTDIR)$(PREFIX)/bin/gmtkbabel
	find $(DESTDIR)$(PREFIX)/share/locale -name "gmtkbabel.mo" -delete
	$(RM) -rf $(DESTDIR)$(PREFIX)/share/man/man1/gmtkbabel.1.gz

clean:
	$(RM) -rf po/*.mo
	$(RM) -rf gmtkbabel.1.gz

dist:
	git tag -s -f -m "$(VERSION) release" $(VERSION)
	git tag -s -f -m "Latest release" latest
	git archive --format=tar --prefix=gmtkbabel-$(VERSION)/ $(VERSION) | \
	    gzip -9 > gmtkbabel-$(VERSION).tar.gz

=== debian/changelog ===
gmtkbabel (0.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1071134)
  * debian/: Apply "wrap-and-sort -abst".
  * Refresh packaging:
    + Bump Standards-Version to 4.7.0.
    + Bump debhelper compat to v13.
    + Use correct git packaging repo on Debian Salsa GitLab.
  * debian/gbp.conf: Use DEP-14 format.
  * debian/copyright: Use machine-readable copyright format.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 May 2024 23:05:12 -0400

gmtkbabel (0.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 18:29:55 +0100

gmtkbabel (0.1-1) unstable; urgency=low

  * Initial release (Closes: #594476)

 -- David Paleino <dapal@debian.org>  Thu, 26 Aug 2010 12:58:03 +0200

=== debian/control ===
Source: gmtkbabel
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gettext,
Standards-Version: 4.7.0
Homepage: https://github.com/dpaleino/gmtkbabel.git
Vcs-Git: https://salsa.debian.org/debian/gmtkbabel.git
Vcs-Browser: https://salsa.debian.org/debian/gmtkbabel
Description: graphical interface for mtkbabel
 gmtkbabel consists of a set of shell scripts which use zenity to
 provide a graphical user interface to mtkbabel. Mtkbabel is a
 command-line tool to operate GPS-unit with MTK (Mediatek) chipsets.

Package: gmtkbabel
Architecture: all
Depends:
 mtkbabel,
 zenity,
 ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/dpaleino/gmtkbabel/tags?per_page=100 \
 https://api.github.com/repos/dpaleino/gmtkbabel/tarball/refs/tags/@ANY_VERSION@
